# Install reboot cron job or not
reboot: False

# Debian specific
update_messages: 'yes'
emit_via: email
email_to: root
remove_unused: 'false'
email_host: localhost

# This so far only works on CentOS/RedHat/Fedora - 2023-03-31

# Try not to match reboot with your apply_updates schedule to avoid rebooting
# during an update.
yum_reboot: monthly

# dnf-automatic specific
update_cmd: default
download_updates: 'yes'
apply_updates: 'no'

# Fine grained update schedule for yum-cron
schedules:
  hourly:
    update_cmd: security
    download_updates: 'no'
    apply_updates: 'no'

  daily:
    update_cmd: default
    download_updates: 'yes'
    apply_updates: 'no'

  weekly:
    update_cmd: default
    download_updates: 'yes'
    apply_updates: 'yes'

  monthly:
    update_cmd: default
    download_updates: 'yes'
    apply_updates: 'no'

#  What kind of update to use:
# default                            = yum upgrade
# security                           = yum --security upgrade
# security-severity:Critical         = yum --sec-severity=Critical upgrade
# minimal                            = yum --bugfix update-minimal
# minimal-security                   = yum --security update-minimal
# minimal-security-severity:Critical =  --sec-severity=Critical update-minimal
